Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.boostgpt.co/v1/bot/workspace/file \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "project_id": "<string>", "bot_id": "<string>", "workspace_uuid": "<string>", "file_path": "<string>", "content": "<string>", "language": "<string>" } '
{ "file": { "uuid": "<string>", "file_path": "<string>", "language": "<string>", "content": "<string>", "version": 123, "size_bytes": 123, "created_at": "<string>", "updated_at": "<string>" } }
Create a new file in a workspace
Enter your API key
Project ID
Agent ID
Workspace UUID
Virtual file path (e.g., /src/app.js)
File content
Programming language
File created
Show child attributes
Was this page helpful?